Eclipse Platform Release 3.7

## org.eclipse.ltk.core.refactoring.participants
Class RenameParticipant

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.ltk.core.refactoring.participants.RefactoringParticipant
              org.eclipse.ltk.core.refactoring.participants.RenameParticipant

All Implemented Interfaces:
  IAdaptable

    public abstract class RenameParticipant

extends RefactoringParticipant

A participant to participate in refactorings that rename elements. A rename participant can't assume that its associated refactoring processor is a rename processor. A rename operation might be a side effect of another refactoring operation.

Rename participants are registered via the extension point `org.eclipse.ltk.core.refactoring.renameParticipants`. Extensions to this extension point must therefore extend this abstract class.

Since:
  3.0

Constructor Summary
`RenameParticipant()`

Method Summary
`RenameArguments` `getArguments()` Returns the rename arguments.
`protected void` `initialize(RefactoringArguments arguments)` Initializes the participant with the refactoring arguments

Methods inherited from class org.eclipse.ltk.core.refactoring.participants.RefactoringParticipant
`checkConditions, createChange, createPreChange, getName, getProcessor, getTextChange, initialize, initialize`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenameParticipant

    public RenameParticipant()

Method Detail

### initialize

    protected final void initialize(RefactoringArguments arguments)

  Initializes the participant with the refactoring arguments

  Specified by:
    `initialize` in class `RefactoringParticipant`
  Parameters:
    `arguments` - the refactoring arguments

### getArguments

    public RenameArguments getArguments()

  Returns the rename arguments.

  Returns:
    the rename arguments

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.